%%% This is an -*- Erlang -*- file.
%%%-------------------------------------------------------------------
%%% File    : dialyzer.hrl
%%% Author  : Tobias Lindahl <tobiasl@csd.uu.se>
%%%           Kostis Sagonas <kostis@it.uu.se>
%%% Description : Header file for the Dialyzer.
%%%
%%% Created : 1 Oct 2004 by Kostis Sagonas <kostis@it.uu.se>
%%%-------------------------------------------------------------------

-define(VSN,"v1.3.0").

-define(RET_NOTHING_SUSPICIOUS, 0).
-define(RET_INTERNAL_ERROR, 1).
-define(RET_DISCREPANCIES_FOUND, 2).

-define(INIT_PLT, filename:join(os:getenv("DIALYZER_DIR"),
				filename:join("plt", "dialyzer_init_plt"))).

-record(analysis, {analysis_pid, check_inline, core_transform=cerl_typean,
		   defines=[], doc_plt=none,
		   files, fixpoint, granularity, include_dirs=[],
		   init_plt, mcg=none, md5=none, start_from, user_plt}).

-record(options, {files=[],
		  files_rec=[],
		  core_transform=cerl_typean,
		  defines=[],
		  from=byte_code, %% default is to start from byte code	  
		  include_dirs=[],
		  legal_warnings,
		  output_file=""}).
